import { ICronJob } from './MyInterfaces';
export default class CkCronService {
    private static IS_DEBUG_LEVEL_LOG;
    private static TASK_CLS;
    /**
     * cron task 를 실행 시킨다. cron scheduler 를 실행 시키는 것이 아니라, 하나의 task 를 실행 하는 것임.
     *
     * @param taskObj {CkCronTask} 실행할 task
     * @returns {void} 리턴값 없음
     * @private
     */
    private static onRunTask;
    /**
     * cron scheudler 를 초기화 설정 한다.
     * scheduler 로 동작하는 task 를 지정하고, 기본 로그가 info 또는 debug 레벨로 출력 될지 설정 하는 것 이다.
     *
     * @param jobs {Array<ICronJob>} cron schedule 로 실행 되는 task 목록
     * @param isHideDefaultLog {boolean | undefined} 라이브러리의 기본 로그를 숨길지 여부. true 라면 기본 로그를 debug 레벨로 찍는다. task 실행시 매 번 로그가 info 레벨로 찍히는 것을 막기 위해서 추가 함.
     * @returns {void} 리턴값 없음
     */
    static init(jobs: Array<ICronJob>, isHideDefaultLog?: boolean): void;
    /**
     * cron scheduler 를 시작 한다.
     *
     * @param timeZone 값이 없으면 Asia/Seoul 로 자동 설정 된다.
     */
    static start(timeZone?: string): void;
}
